## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate nu-cli

Name:           rust-nu-cli
Version:        0.99.1
Release:        %autorelease
Summary:        CLI-related functionality for Nushell

License:        MIT
URL:            https://crates.io/crates/nu-cli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * temporarily bump reedline from 0.36.0 to 0.37.0
# * Allow rstest 0.23 (https://github.com/nushell/nushell/pull/14350)
# * Allow which 7 (https://github.com/nushell/nushell/pull/14489)
# * Update lscolors from 0.17 to 0.20:
#   https://github.com/nushell/nushell/pull/15737
Patch:          nu-cli-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
CLI-related functionality for Nushell.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nu-plugin-engine-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nu-plugin-engine-devel %{_description}

This package contains library source intended for building other packages which
use the "nu-plugin-engine" feature of the "%{crate}" crate.

%files       -n %{name}+nu-plugin-engine-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+plugin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+plugin-devel %{_description}

This package contains library source intended for building other packages which
use the "plugin" feature of the "%{crate}" crate.

%files       -n %{name}+plugin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+system-clipboard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+system-clipboard-devel %{_description}

This package contains library source intended for building other packages which
use the "system-clipboard" feature of the "%{crate}" crate.

%files       -n %{name}+system-clipboard-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * other tests depend on unshipped fixtures
%cargo_test -- --lib
%endif

%changelog
## START: Generated by rpmautospec
* Mon May 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.99.1-5
- Update lscolors to 0.20.0

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.99.1-3
- Allow which 7

* Wed Nov 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.99.1-2
- Allow rstest 0.23

* Sat Nov 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.99.1-1
- Update to version 0.99.1

* Thu Aug 01 2024 Michel Lind <salimma@fedoraproject.org> - 0.96.1-1
- Update to version 0.96.1; Fixes: RHBZ#2272720

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.91.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Mar 21 2024 Michel Lind <salimma@fedoraproject.org> - 0.91.0-1
- Update to 0.91.0 (rhbz#2267998)

* Sat Feb 17 2024 Michel Lind <salimma@fedoraproject.org> - 0.88.1-2
- Fix f38 ix86 build

* Fri Feb 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.88.1-1
- Initial package (rhbz#2264484)
## END: Generated by rpmautospec
